# ---------------------------------------------------------------------------
# Change.py
# Created on: Mon Dec 13 2010 02:55:16 PM
# Created by: Erin Poor, GIS Analyst, WWF-US
#               erin.poor@wwfus.org
# Usage: change <Current_Suitability_Layer> <Future_Suitabilty_Layer> <Habitat_Change> 
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting

# Create the Geoprocessor object
gp = arcgisscripting.create()

# Check out any necessary licenses
gp.CheckOutExtension("spatial")
gp.overwriteoutput = 1

#Set Geoprocessing environment...
inworkspace = gp.GetParameterAsText(0)
outworkspace = gp.GetParameterAsText(0)
gp.workspace = inworkspace
gp.scratchworkspace = gp.GetParameterAsText(0)

# Script arguments...
Current_Suitability_Layer = gp.GetParameterAsText(1)
Future_Suitabilty_Layer = gp.GetParameterAsText(2)
Habitat_Change = gp.GetParameterAsText(3)
msgArguments = "\nProblem with arguments."

# Local variables...

# Process: Minus...
try:
    gp.Minus_sa(Current_Suitability_Layer, Future_Suitabilty_Layer, Habitat_Change)
except:
    raise Exception, msgArguments + gp.GetMessages(2)


gp.AddMessage("Complete!")
